PTCD(4)

NAME
ptcd - support for the Protech PS3100 cash drawer port

SYNOPSIS
ptcd* at isa? port 0x48d
gpio* at ptcd?

DESCRIPTION
The ptcd driver controls the cash drawer port of the Protech PS3100 point of sale terminal using the GPIO subsystem.

ptcd provides a GPIO device with two pins: pin 0 is used to control the cash drawer while pin 1 can be used to read the current state of the sense input pin. A logical 0 means the cash drawer is closed, a logical 1 means the cash drawer is open.

To open the cash drawer, set pin 0 to logical 1 for a short period of time (e.g. < 1 sec) and then reset the pin to logical 0.

SEE ALSO
gpio(4), ibmcd(4), gpioctl(8)

HISTORY
The ptcd driver first appeared in NetBSD 6.1.

AUTHORS
-nosplit The ptcd driver was written by Marc Balmer <marc@msys.ch>.

CAVEATS
As it is not possible to detect the hardware at runtime, this driver, when enabled, will always attach. Only enable it in your kernel configuration if you have the proper hardware.